Pmesh
Date: 2019-10-22

org.jmol.shapesurface

## Class Pmesh

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.MeshCollection
    - - org.jmol.shapesurface.Isosurface
      - - org.jmol.shapesurface.Pmesh

- All Implemented Interfaces:
    MeshDataServer, VertexDataServer
  Direct Known Subclasses:
    Plot3D

      public class Pmesh
      extends Isosurface

- - ### Field Summary

    - ### Fields inherited from class org.jmol.shapesurface.Isosurface

      `allowMesh, iHaveBitSets, isomeshes, jvxlData, keyXy, sg, thisMesh`

    - ### Fields inherited from class org.jmol.shape.MeshCollection

      `bsDisplay, colix, color, connections, currentMesh, displayWithinDistance2, displayWithinPoints, explicitID, htObjects, isDisplayWithinNot, isFixed, linkedMesh, meshCount, meshes, modelIndex, nUnnamed, pickedMesh, pickedModel, pickedPt, pickedVertex, PREVIOUS_MESH_ID, previousMeshID, title`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pmesh()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private javajs.util.P3[]` | `getFace(Mesh m)` return a cycle of points generating this face used after slabbing
    `java.lang.Object` | `getProperty(java.lang.String property, int index)`
    `void` | `initShape()`

    - ### Methods inherited from class org.jmol.shapesurface.Isosurface

      `addMeshInfo, addRequiredFile, addTriangleCheck, addVertexCopy, allocMesh, calculateGeodesicSurface, checkObjectClicked, checkObjectHovered, clearSg, discardTempData, fillMeshData, getCapSlabInfo, getCmd, getPlane, getPolygonColorData, getPropertyData, getPropI, getShapeDetail, getShapeState, getSurfacePointIndexAndFraction, getValue, invalidateTriangles, newSg, notifySurfaceGenerationCompleted, notifySurfaceMappingCompleted, setOutputChannel, setProperty, setPropI, setRequiredFile, setScriptInfo, slabPolygons`

    - ### Methods inherited from class org.jmol.shape.MeshCollection

      `checkExplicit, clean, deleteMeshI, deleteMeshKey, getIndexFromName, getMesh, getMeshList, getPickedPoint, getPropDataMC, getPropMC, merge, resetObjects, setModelVisibilityFlags, setPropMC, setStatusPicked, setTokenProperty`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Pmesh

          public Pmesh()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `Isosurface`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String property,
                                              int index)

      Overrides:
        `getProperty` in class `Isosurface`
      Returns:
        true if serviced

    - #### getFace

          private javajs.util.P3[] getFace(Mesh m)

      return a cycle of points generating this face used after slabbing
      Parameters:
        `m` -
      Returns:
        set of points constituting this face